cURL
curl --request GET \
--url https://api.useanima.sh/v1/phone/requirements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/phone/requirements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/phone/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"countryCode": "<string>",
"numberType": "local",
"tier": "NONE",
"requirements": [
{
"id": "<string>",
"name": "<string>",
"fieldType": "<string>",
"description": "<string>",
"example": "<string>",
"acceptanceCriteria": {}
}
],
"approvedBundleId": "<string>"
}API Reference
Get phonerequirements
GET
/
phone
/
requirements
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Query Parameters
ISO 3166-1 alpha-2 country code to check requirements for
Pattern:
^[A-Za-z]{2}$Phone number type to check requirements for
Available options:
local, mobile, national, toll_free, shared_cost Response
200 - application/json
OK
Provisioning requirements for a country/number-type combination
ISO 3166-1 alpha-2 country code queried
Phone number type — regulatory requirements vary by type within a country
Available options:
local, mobile, national, toll_free, shared_cost Provisioning requirement tier: NONE = order instantly, ADDRESS = local address required, IDENTITY = identity details required, DOCS = document upload required, UNSUPPORTED = provider does not sell this combination
Available options:
NONE, ADDRESS, IDENTITY, DOCS, UNSUPPORTED Requirement fields to satisfy before ordering; empty when tier is NONE
Show child attributes
Show child attributes
The org's approved regulatory bundle satisfying this combination, when one exists
